TSTHREADSELF(3ts)

NAME
TSThreadSelf - TSThreadSelf API function

SYNOPSIS

            #include <ts/ts.h>

    TSThread TSThreadSelf(void)

DESCRIPTION

Return an instance of TSThread that identifies the current thread. This must be called from within a Traffic Server create thread context. That is any thread created by the Traffic Server core or via the Traffic Server API.

COPYRIGHT
2025, dev@trafficserver.apache.org